# Get offer events

| HTTP method | Endpoint                              |
| ----------- | ------------------------------------- |
| **GET**     | **/aff/v1/offers/{offer\_id}/events** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field                  | Type    | Description                                                                                                          |
| ---------------------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| event\_id              | integer | Event id.                                                                                                            |
| event\_name            | string  | Event name.                                                                                                          |
| event\_payout\_type    | string  | Possible Values: CPC · CPI · CPM · CPA · CPL · CPS · CPA+CPS                                                         |
| event\_payout          | string  | Event payout.                                                                                                        |
| event\_percent\_payout | string  | Event percent payout.                                                                                                |
| conversion\_protocol   | integer | The Conversion tracking method to use for the event. Possible Values: 1:Image Pixel;  2:Postback URL; 3:iFrame Pixel |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offers/102/events>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offers/102/events>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_event": [
          {
            "event_id": 1,
            "event_name": "Initial Event",
            "event_payout_type": "CPA+CPS",
            "event_payout": "1",
            "event_percent_payout": "10",
            "conversion_protocol": 2
          },
          {
            "event_id": 2,
            "event_name": "test",
            "event_payout_type": "CPA",
            "event_payout": "1.000",
            "event_percent_payout": null,
            "conversion_protocol": 3
          }
        ]
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/get-offer-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
